
(defrule acceptQuoteRule
(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) 
 =>	 (bind ?acceptQuote-var (new acceptQuote ?itemID-var1 ?itemPrice-var1 ?t1))
	(definstance acceptQuoteMsgProp ?acceptQuote-var static)
	(store OUTPUT ?acceptQuote-var))
	
	(bind ?cc-var(new ConditionalCommitment "customer"   "merchant"   "goods" "pay" ?t))
	 (definstance ccom ?cc-var static)
	
(defrule rejectQuoteRule
(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) 
 =>	 (bind ?rejectQuote-var (new rejectQuote ?itemPrice-var1 ?itemID-var1 ?t1))
	(definstance rejectQuoteMsgProp ?rejectQuote-var static)
	(store OUTPUT ?rejectQuote-var))
	
	
(defrule reqForQuoteRule
(startProp) 
 =>	 (bind ?reqForQuote-var (new reqForQuote ?itemID-var1 ?t1))
	(definstance reqForQuoteMsgProp ?reqForQuote-var static)
	(store OUTPUT ?reqForQuote-var))
	
	
(defrule quoteRule
(reqForQuoteMsgProp  (itemID ?itemID-var1)(transID ?t1)) 
 =>	 (bind ?quote-var (new quote ?itemID-var1 ?itemPrice-var1 ?t1))
	(definstance quoteMsgProp ?quote-var static)
	(store OUTPUT ?quote-var))
	
	(bind ?cc-var(new ConditionalCommitment "merchant"   "customer"   "pay" "goods" ?t))
	 (definstance ccom ?cc-var static)
	