
(defrule acceptQuoteRule_for_customer
(AND(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (acceptQuote_Policy))
	
 =>	 (bind ?acceptQuote-var (new acceptQuote ?itemID-var1 ?itemPrice-var1 ?t1))
	(definstance acceptQuoteMsgProp ?acceptQuote-var static)
	(store OUTPUT ?acceptQuote-var))
	
	(bind ?cc-var(new ConditionalCommitment "customer"   "merchant"   "goods" "pay" ?t))
	 (definstance ccom ?cc-var static)
	
(defrule rejectQuoteRule_for_customer
(AND(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (rejectQuote_Policy))
	
 =>	 (bind ?rejectQuote-var (new rejectQuote ?itemPrice-var1 ?itemID-var1 ?t1))
	(definstance rejectQuoteMsgProp ?rejectQuote-var static)
	(store OUTPUT ?rejectQuote-var))
	
	
(defrule reqForQuoteRule_for_customer
(AND(startProp) (reqForQuote_Policy (itemID ?itemID-var) ))
	
 =>	 (bind ?reqForQuote-var (new reqForQuote ?itemID-var1 ?t1))
	(definstance reqForQuoteMsgProp ?reqForQuote-var static)
	(store OUTPUT ?reqForQuote-var))
	
	
(defrule quoteRule_for_customer
(AND(reqForQuoteMsgProp  (itemID ?itemID-var1)(transID ?t1)) (quoteMsg (itemID ?itemID-var2) (itemPrice ?itemPrice-var2)(transID ?t2)) (quote_Policy))
	
 =>	 (bind ?quote-var (new quote ?itemID-var2 ?itemPrice-var2 ?t2))
	(definstance quoteMsgProp ?quote-var static))
	
	(bind ?cc-var(new ConditionalCommitment "merchant"   "customer"   "pay" "goods" ?t))
	 (definstance ccom ?cc-var static)
	