(import edu.ncsu.csc.mas.netbill.messages.*)
(import edu.ncsu.csc.mas.netbill.*)
(defclass start Start)
(defclass finish Finish)
(defclass offer Offer extends msg)
(defclass accept Accept extends msg)
(defclass rfq RequestForQuotes extends msg)
(defclass goods Goods extends msg)
(defclass pay Payment extends msg)
(defclass receipt Receipt extends msg)

(defrule send-offer
       (rfq (m_szQuoteFor ?x)(m_nTransID ?t)) 
         => 
      ;;;;;;;;;;;;;;;;;;;Create the offer message
      (bind ?offer-var (new Offer ?x "10" ?t))
      (definstance offer ?offer-var static)
	  (store OUTPUT ?offer-var)
      ;;;;;;;;;;;;;;;;;;;Create the conditional commitment "goods if accept"
	  (bind ?cc-var (new ConditionalCommitment "merchant" "customer" "ACCEPT" "GOODS" ?t))
	  (definstance ccom ?cc-var static))
		 

(defrule send-goods
	 (accept (m_nTransID ?t)) 
	 => 
	 ;;;;;;;;;;;;;;;;;;;;;Create the conditional commitment "pay if goods"
	 (bind ?cc-var (new ConditionalCommitment "customer" "merchant" "GOODS" "PAYMENT" ?t))
	 (definstance ccom ?cc-var static)
	 ;;;;;;;;;;;;;;;;;;;;;Create the goods message
	 (bind ?goods-var (new Goods "dvd player" ?t))
	 (definstance goods ?goods-var static)
	 (store OUTPUT ?goods-var)
	 ;;;;;;;;;;;;;;;;;;;;Create the conditional commitment "receipt if pay"
     (bind ?cc-var (new ConditionalCommitment "merchant" "customer" "PAYMENT" "RECEIPT" ?t))
	 (definstance ccom ?cc-var static))
	 
(defrule send-receipt
	 (pay (m_nTransID ?t)) 
	  => 
	  ;;;;;;;;;;;;;;;;;;;Create the receipt message
	  (bind ?receipt-var (new Receipt "OK" ?t))
	  (definstance receipt ?receipt-var static)
	  (store OUTPUT ?receipt-var))
		    
	   
		    