package edu.ncsu.csc.mas.protocols.OrderWithReminders.customer;

import edu.ncsu.csc.mas.utils.JessWrapper;

public class customerOrderWithRemindersPolicy {
	
	protected JessWrapper m_wrapper;
	
	
	public customerOrderWithRemindersPolicy()
	{
		m_wrapper =JessWrapper.getJessWrapperInstance();	
	}
	
	/* Active policy for deciding what item to order */
	public void reqForQuoteMethod()
	{
		m_wrapper.executeCommand("(assert (reqForQuote_Policy (itemID 367)))");		
	}
	
	/* Passive policy for deciding whether to receive the quote from merchant */ 
	public void quoteMethod(int itemID, double itemPrice)
	{
		m_wrapper.executeCommand("(assert (quote_Policy))");		
	}
	
	/* Active policy for deciding whether to accept the quote of the merchant */
	public void acceptQuoteMethod(double itemPrice, int itemID)
	{
		m_wrapper.executeCommand("(assert (acceptQuote_Policy))");		
	}
	
	/* Active policy for deciding whether to reject the quote of the merchant */
	public void rejectQuoteMethod(double itemPrice, int itemID)
	{
				
	}
	
	/* Active policy for deciding whether to reject the quote of the merchant */
	public void reminderMethod(int itemID, double itemPrice)
	{
		m_wrapper.executeCommand("(assert (reminder_Policy))");
	}
	
}
