(import edu.ncsu.csc.mas.protocols.OrderWithReminders.messages.*)
(import edu.ncsu.csc.mas.enactments.JessJ2EE.*)

(defrule rejectQuote_Policy 
(quoteMsgProp (itemID ?itemID-var1) (itemPrice ?itemPrice-var1)(transID ?t1))
 =>	 (call (new customerOrderWithRemindersPolicy) rejectQuoteMethod ?itemPrice-var1 ?itemID-var1))

(defrule reqForQuote_Policy 
(startPropMsg (transID ?t1))
 =>	 (call (new customerOrderWithRemindersPolicy) reqForQuoteMethod ))

(defrule reminder_Policy 
(and (remindAbout (itemID ?itemID-var2) (itemPrice ?itemPrice-var2)) (not (positiveDecision)) (not (negativeDecision)) (reminderMsg (itemID ?itemID-var1) (itemPrice itemPrice-var1) (transID ?t6)))
 =>	 (call (new customerOrderWithRemindersPolicy) reminderMethod ?itemID-var1 ?itemPrice-var1))

(defrule acceptQuote_Policy 
(quoteMsgProp (itemID ?itemID-var1) (itemPrice ?itemPrice-var1)(transID ?t1))
 =>	 (call (new customerOrderWithRemindersPolicy) acceptQuoteMethod ?itemPrice-var1 ?itemID-var1))

(defrule quote_Policy 
(and (reqForQuoteMsgProp  (itemID ?itemID-var1)(transID ?t1)) (quoteMsg (itemID ?itemID-var2) (itemPrice ?itemPrice-var2)(transID ?t2)) )
 =>	 (call (new customerOrderWithRemindersPolicy) quoteMethod  ?itemID-var2 ?itemPrice-var2))
