(import edu.ncsu.csc.mas.enactments.JessJ2EE.*)
(defclass com JJCommitment)
(defclass ccom JJConditionalCommitment)
(defclass msg JJMessage)

(defrule discharge-com "Fired when the condition of a commitment is met"
	(and (msg (type ?x)(transID ?y)) ?fact-ref <-(com (condStr ?x)(commID ?y)(OBJECT ?com-ins)))	 =>
	(call ?com-ins Discharge)
	(retract ?fact-ref))
	

(defrule convert-ccom "Fired when the precondition of the conditional commitment is met"
	(and (msg (type ?x) (transID ?y)) ?fact-ref <-(ccom (precondStr ?x)
	(OBJECT ?ccom-ins) (debtorName ?deb) (creditorName ?cre)
	(condStr ?cond) (commID ?y)))
	=>
	(call ?ccom-ins Convert)
	(bind ?com-ins (new JJCommitment ?deb ?cre ?cond ?y))
	(definstance com ?com-ins static)
	(retract ?fact-ref))

(defrule discharge-ccom "Fires when the condition of the conditional commitment is met directly"
	(and (msg (type ?x)(transID ?y)) ?fact-ref <-(ccom (condStr
	?x)(commID ?y)(OBJECT ?ccom-ins)))
	=>
	(call ?ccom-ins Discharge)
	(retract ?fact-ref))
	
