
/*
 * Created on Jun 22, 2004
 *
 */
package edu.ncsu.csc.mas.ontology;

import com.hp.hpl.jena.ontology.* ;
import edu.ncsu.csc.mas.ontology.exceptions.*;

/**
 * The SendMessage class implements the senders view of a message
 * 
 * @author aumallya
 *
 */
public class SendMessage extends Action {

    private Message message ;
    
    public SendMessage() {
        
    }
    
    public SendMessage(OntResource msg) 
    throws MalformedConditionException
    {
        this.message = new Message(msg);
    }
    
    public SendMessage(Message msg) {
        this.message = msg ;
    }
    
   /* public String toString() {
        return new String("sendMessage(" + message.toConciseString() + ")") ;
    } */
    public String toString() {
        return new String("(bind ?" + message.toConciseString() + ")") ;
    }
    
    /**
     * @return Returns the message.
     */
    public Message getMessage() {
        return message;
    }
    /**
     * @param message The message to set.
     */
    public void setMessage(Message message) {
        this.message = message;
    }
}
