(import edu.ncsu.csc.mas.protocols.Order.messages.*)
(import edu.ncsu.csc.mas.enactments.JessJ2EE.*)
(import edu.ncsu.csc.mas.protocols.Order.Customer.*)
(defclass startProp start extends msg)
(defclass rejectQuote rejectQuote extends msg)
(defclass rejectQuoteMsg rejectQuote extends msg)
(defclass rejectQuoteMsgProp rejectQuote extends msg)
(defclass acceptQuote acceptQuote extends msg)
(defclass acceptQuoteMsg acceptQuote extends msg)
(defclass acceptQuoteMsgProp acceptQuote extends msg)
(defclass reqForQuote reqForQuote extends msg)
(defclass reqForQuoteMsg reqForQuote extends msg)
(defclass reqForQuoteMsgProp reqForQuote extends msg)
(defclass quote quote extends msg)
(defclass quoteMsg quote extends msg)
(defclass quoteMsgProp quote extends msg)
(defclass customerOrderPolicy customerOrderPolicy)
(deftemplate acceptQuote_Policy)
(deftemplate rejectQuote_Policy)
(deftemplate quote_Policy)
(deftemplate reqForQuote_Policy (slot itemID))

(defrule acceptQuoteRule_for_customer
(and(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (acceptQuote_Policy))	
 =>	 (bind ?acceptQuote-var (new acceptQuote ?itemID-var1 ?itemPrice-var1 ?t1))
	(definstance acceptQuoteMsgProp ?acceptQuote-var static)
	(store OUTPUT ?acceptQuote-var)	
	(bind ?cc-var(new JJConditionalCommitment "customer"   "merchant"   "goods" "pay" ?t1))
	 (definstance ccom ?cc-var static))
	
(defrule rejectQuoteRule_for_customer
(and(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (rejectQuote_Policy))	
 =>	 (bind ?rejectQuote-var (new rejectQuote ?itemPrice-var1 ?itemID-var1 ?t1))
	(definstance rejectQuoteMsgProp ?rejectQuote-var static)
	(store OUTPUT ?rejectQuote-var))
	
	
(defrule reqForQuoteRule_for_customer
(and (startMsg (transID ?t1)) (reqForQuote_Policy (itemID ?itemID-var)))	
 =>	 (bind ?reqForQuote-var (new reqForQuote ?itemID-var ?t1))
	(definstance reqForQuoteMsgProp ?reqForQuote-var static)
	(store OUTPUT ?reqForQuote-var))
	
	
(defrule quoteRule_for_customer
(and(reqForQuoteMsgProp  (itemID ?itemID-var1)(transID ?t1)) (quoteMsg (itemID ?itemID-var2) (itemPrice ?itemPrice-var2)(transID ?t2)) (quote_Policy))	
 =>	 (bind ?quote-var (new quote ?itemID-var2 ?itemPrice-var2 ?t2))
	(definstance quoteMsgProp ?quote-var static)	
	(bind ?cc-var(new JJConditionalCommitment "merchant"   "customer"   "pay" "goods" ?t2))
	 (definstance ccom ?cc-var static))
	