package edu.ncsu.csc.mas.ontology;
import java.util.*;

public class Policy {

	String name;
	Vector parameters;
	
	
	
	public Policy(Rule rule)
	
	{
		 this.name= new String();
         int index= rule.getName().indexOf("Rule");
         this.name = rule.getName().substring(0,index)+"_Policy";
		
		this.parameters = new Vector();
		
		Vector bodySlots= rule.getBodySlots();
		Vector headSlots= rule.getHeadSlots();
		
			
		System.out.println("body slots "+ bodySlots + "\nhead slots "+headSlots);		
		for(int i=0;i<headSlots.size();i++)
		{	
			if(headSlots.elementAt(i)!=null)
			{
				
		    if(!(bodySlots.contains(headSlots.elementAt(i))))
		    {	
		  
		    	
		        this.parameters.add(headSlots.elementAt(i));
		        bodySlots.add(headSlots.elementAt(i));
		        }
		}
		}
				
	}
		
		public Vector getParameters()
		{
			return this.parameters;
		}
	
		public String getName()
		{
			return this.name;
		}
	
		public String toString()
		{
			String retString="";
			 
			retString+="(" + this.getName();
			
			if(this.parameters.isEmpty())
				retString+=")";
			else
			{
				for(int i=0;i<this.parameters.size();i++)
				{	
					Slot slot= (Slot)this.parameters.elementAt(i);
					retString+=" ("+ slot.toJessString()+" ?"+ slot.toJessString() +"-var"+ ") " ;
				}
				retString+=")";
				
			}
				
						
			
			return retString;
		}
	
	
}
