(import edu.ncsu.csc.mas.protocols.Order.messages.*)
(import edu.ncsu.csc.mas.enactments.JessJ2EE.*)
(import edu.ncsu.csc.mas.protocols.Order.Merchant.*)
(defclass startProp start extends msg)
(defclass rejectQuote rejectQuote extends msg)
(defclass rejectQuoteMsg rejectQuote extends msg)
(defclass rejectQuoteMsgProp rejectQuote extends msg)
(defclass acceptQuote acceptQuote extends msg)
(defclass acceptQuoteMsg acceptQuote extends msg)
(defclass acceptQuoteMsgProp acceptQuote extends msg)
(defclass reqForQuote reqForQuote extends msg)
(defclass reqForQuoteMsg reqForQuote extends msg)
(defclass reqForQuoteMsgProp reqForQuote extends msg)
(defclass quote quote extends msg)
(defclass quoteMsg quote extends msg)
(defclass quoteMsgProp quote extends msg)
(defclass merchantOrderPolicy merchantOrderPolicy)
(deftemplate acceptQuote_Policy)
(deftemplate rejectQuote_Policy)
(deftemplate quote_Policy (slot itemPrice))
(deftemplate reqForQuote_Policy)

(defrule acceptQuoteRule_for_merchant
(and(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (acceptQuoteMsg (itemID ?itemID-var2) (itemPrice ?itemPrice-var2)(transID ?t2)) (acceptQuote_Policy))	
 =>	 (bind ?acceptQuote-var (new acceptQuote ?itemID-var2 ?itemPrice-var2 ?t2))
	(definstance acceptQuoteMsgProp ?acceptQuote-var static)	
	(bind ?cc-var(new JJConditionalCommitment "customer"   "merchant"   "goods" "pay" ?t2))
	 (definstance ccom ?cc-var static))
	
(defrule rejectQuoteRule_for_merchant
(and(quoteMsgProp  (itemPrice ?itemPrice-var1) (itemID ?itemID-var1)(transID ?t1)) (rejectQuoteMsg (itemPrice ?itemPrice-var2) (itemID ?itemID-var2)(transID ?t2)) (rejectQuote_Policy))	
 =>	 (bind ?rejectQuote-var (new rejectQuote ?itemPrice-var2 ?itemID-var2 ?t2))
	(definstance rejectQuoteMsgProp ?rejectQuote-var static))
	
(defrule reqForQuoteRule_for_merchant
(and(startMsg (transID ?t1)) (reqForQuoteMsg (itemID ?itemID-var2)(transID ?t2)) (reqForQuote_Policy))	
 =>	 (bind ?reqForQuote-var (new reqForQuote ?itemID-var2 ?t2))
	(definstance reqForQuoteMsgProp ?reqForQuote-var static))
	
	
(defrule quoteRule_for_merchant
(and(reqForQuoteMsgProp  (itemID ?itemID-var1)(transID ?t1)) (quote_Policy (itemPrice ?itemPrice-var) ))	
 =>	 (bind ?quote-var (new quote ?itemID-var1 ?itemPrice-var1 ?t1))
	(definstance quoteMsgProp ?quote-var static)
	(store OUTPUT ?quote-var)	
	(bind ?cc-var(new JJConditionalCommitment "merchant"   "customer"   "pay" "goods" ?t1))
	 (definstance ccom ?cc-var static))
	