package edu.ncsu.csc.mas.protocols.Order.Merchant;

import edu.ncsu.csc.mas.utils.JessWrapper;

public class merchantOrderPolicy {
	
	protected JessWrapper m_wrapper;
	
	
	public merchantOrderPolicy()
	{
		m_wrapper =JessWrapper.getJessWrapperInstance();	
	}
	
	/* Passive policy for deciding whether to handle any requests for quotes for items */
	public void reqForQuoteMethod(int itemID)
	{
		m_wrapper.executeCommand("(assert (reqForQuote_Policy))");
		//m_wrapper.executeCommand("(run)");
	}
	
	/* Active policy for deciding how much to quote for an item */ 
	public void quoteMethod(int itemID)
	{
		m_wrapper.executeCommand("(assert (quote_Policy (itemPrice 47.99)))");
		//m_wrapper.executeCommand("(run)");
	}
	
	/* Passive policy for deciding whether to receive an acceptQuote message from a customer */
	public void acceptQuoteMethod(int itemID, double itemPrice)
	{
		m_wrapper.executeCommand("(assert (acceptQuote_Policy))");
		//m_wrapper.executeCommand("(run)");
	}
	
	/* Passive policy for deciding whether to receive a rejectQuote message from a customer */
	public void rejectQuoteMethod(double itemPrice, int itemID)
	{
		
	}
	
}
