package edu.ncsu.csc.mas.codeGen;

import edu.ncsu.csc.mas.ontology.*;
import java.util.*;
import edu.ncsu.csc.mas.utils.*;

 public class RolePolicyCodeGen
 {
  protected final String NL = System.getProperties().getProperty("line.separator");
  protected final String TEXT_1 = " ";
  protected final String TEXT_2 = NL + "    " + NL + "" + NL + "package edu.ncsu.csc.mas.protocols.";
  protected final String TEXT_3 = ".";
  protected final String TEXT_4 = "Temp;" + NL + "" + NL + "import edu.ncsu.csc.mas.utils.JessWrapper;" + NL + "" + NL + "public class ";
  protected final String TEXT_5 = "Policy {" + NL + "\t" + NL + "\tprotected JessWrapper m_wrapper;" + NL + "\t        " + NL + "                 " + NL + "\tpublic ";
  protected final String TEXT_6 = "Policy()" + NL + "\t\t{" + NL + "\t\t\tm_wrapper =JessWrapper.getJessWrapperInstance();\t" + NL + "\t\t}" + NL + "\t" + NL + "" + NL + "\t";
  protected final String TEXT_7 = " " + NL + "                   " + NL + "    public void ";
  protected final String TEXT_8 = "Method(";
  protected final String TEXT_9 = " ";
  protected final String TEXT_10 = ",";
  protected final String TEXT_11 = ")" + NL + "\t\t{" + NL + "        m_wrapper.executeCommand(\"(assert (";
  protected final String TEXT_12 = " ";
  protected final String TEXT_13 = "(";
  protected final String TEXT_14 = " <enter value>)";
  protected final String TEXT_15 = ",";
  protected final String TEXT_16 = "))\");" + NL + "        //m_wrapper.executeCommand(\"(run)\");" + NL + "        }" + NL + "\t";
  protected final String TEXT_17 = "\t" + NL + "}";
  protected final String TEXT_18 = NL + " ";

   public String generate(Object argument1, Object argument2)
  {
    StringBuffer stringBuffer = new StringBuffer();
    stringBuffer.append(TEXT_1);
     Role role = (Role) argument1;
 	Protocol prot = (Protocol) argument2;
 	SkeletonGenerator skelGen = new SkeletonGenerator() ;
 	String packageName= prot.getInstName();
 	Vector ruleVec = skelGen.generateSkeleton(prot,role) ; 
 	
 
    stringBuffer.append(TEXT_2);
    stringBuffer.append(packageName);
    stringBuffer.append(TEXT_3);
    stringBuffer.append(role.getName());
    stringBuffer.append(TEXT_4);
    stringBuffer.append(role.getName());
    stringBuffer.append(packageName);
    stringBuffer.append(TEXT_5);
    stringBuffer.append(role.getName());
    stringBuffer.append(packageName);
    stringBuffer.append(TEXT_6);
            if(ruleVec!=null)
                    prot.setSkelRules(ruleVec, role) ;
                
                for(int j=0,l=0;l<ruleVec.size(); j++,l++) {
	                
                    Rule rule = (Rule)role.getSkelRules().elementAt(l);
                	int index=0;
                    String ruleName;
           		 	if(rule.getName().indexOf("Rule") != -1)
                     index= rule.getName().indexOf("Rule");
                    else if(rule.getName().indexOf("_rule") != -1)
           			 index= rule.getName().indexOf("_rule");
           		         
           		ruleName = rule.getName().substring(0,index);
                
                Vector policies = skelGen.getRolePolicies();
               
                    Policy policy = (Policy)(policies.elementAt(j));
               		rule.generatePolicy(prot,role);
	                 Vector ruleSlots = rule.getReturnSlots();
                                                      
                     Vector policyParameters = policy.getParameters();   
                    
                      
    stringBuffer.append(TEXT_7);
    stringBuffer.append(ruleName);
    stringBuffer.append(TEXT_8);
    for (int m = 0; m < ruleSlots.size(); m++){Slot rSlot = (Slot) ruleSlots.elementAt(m);
    stringBuffer.append(rSlot.getTypeString());
    stringBuffer.append(TEXT_9);
    stringBuffer.append(rSlot.getName());
    if(m!=ruleSlots.size()-1){
    stringBuffer.append(TEXT_10);
    }
    }
    stringBuffer.append(TEXT_11);
    stringBuffer.append(policy.getName());
    stringBuffer.append(TEXT_12);
    for(int k=0;k<policyParameters.size();k++){Slot pSlot= (Slot)policyParameters.elementAt(k);
    stringBuffer.append(TEXT_13);
    stringBuffer.append(pSlot.getName());
    stringBuffer.append(TEXT_14);
    if(k!=policyParameters.size()-1)
    stringBuffer.append(TEXT_15);
    }
    stringBuffer.append(TEXT_16);
    }
    stringBuffer.append(TEXT_17);
    stringBuffer.append(TEXT_18);
    return stringBuffer.toString();
  }
}