/*
 * Created on Jun 22, 2004
 *
 */
package edu.ncsu.csc.mas.enactments.JessJ2EE;

/**
 * A Commitment in an Jess/J2EE enactment.
 * 
 * @author Nirmit Desai
 *
 */
public class JJCommitment {
    
    protected String debtorName ;
    protected String creditorName ;
    protected String condStr ; 
    
    /*
     * Identifier for this commitment
     */
    protected int commID;
    
    /**
     * Return a fresh <code>Commitment</code> object
     */
    public JJCommitment(String debtor, String creditor, String cond, int ID) {
    	super();
    	debtorName = debtor;
		creditorName = creditor;
		condStr = cond;
		commID	= ID;		        
    }

	public String getCondStr() {
		return condStr;
	}

	public void setCondStr(String conditionStr) {
		this.condStr = conditionStr;
	}

	public String getCreditorName() {
		return creditorName;
	}

	public void setCreditorName(String creditorName) {
		this.creditorName = creditorName;
	}

	public String getDebtorName() {
		return debtorName;
	}

	public void setDebtorName(String debtorName) {
		this.debtorName = debtorName;
	}

	public int getCommID() {
		return commID;
	}

	public void setCommID(int commID) {
		this.commID = commID;
	}
	
	public void Discharge() {
		//m_intState = DISCHARGED;
		System.out.println(">> Discharging " + toString());
	}
	
	public void Released() {
		//m_intState = RELEASED;
	}
	
	public void Assigned(String szAssignee) {
		/*m_intState = ASSIGNED;
		m_szAssignee = szAssignee;*/
	}
	
	public void Cancel() {
		//m_intState = CANCELLED;
		System.out.println("Canceling " + toString());
	}
	
	public void Delegate(String szDelegatee) {
		/*m_szDelegatee = szDelegatee;
		m_intState = DELEGATED;*/
	}
    
	public String toString() {
        return new String("C(" + debtorName + "," + creditorName 
                	+ "," + condStr + ") ") ;                       
    }
}
