/*
 * Created on Oct 21, 2004
 *
 */
package edu.ncsu.csc.mas.ontology;
import com.hp.hpl.jena.ontology.* ;
import com.hp.hpl.jena.rdf.model.*;


/**
 * @author aumallya
 *
 */
public class IntegerSlot extends Slot {
    public Integer type ;
    
    public IntegerSlot(){
        this.type = new Integer(0) ;
    }
    
    public IntegerSlot(OntResource ontIntegerSlot) {
        this.name = ontIntegerSlot.getLocalName() ;
        this.type = new Integer(0) ;
    }

    public String toString(){
        if(this.name==null || this.type==null)
            return " " ;
        return new String("int:" + this.name) ;
       
    }
    public String toJessString() {
        if(this.name==null || this.type==null)
            return " " ;
         return new String(this.name) ;
    }
    
}
