/*
 * Created on Oct 29, 2004
 *
 */
package edu.ncsu.csc.mas.ontology;

import com.hp.hpl.jena.ontology.* ;


/**
 * @author aumallya
 *
 */
public class PropertyPredicate extends SwrlObject {
    
    private String name ;
    
    public PropertyPredicate() {
        this.name = new String() ;
    }
    
    public PropertyPredicate(ObjectProperty o) {
        this.name = o.getLocalName() ;
    }
    
    public PropertyPredicate(String p) {
        this.name = p ;
    }
    
    /**
     * @return Returns the name.
     */
    public String getName() {
        return name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    
    public String toString() {
        return this.name ;
    }
    
    public boolean equals(PropertyPredicate pr) {
        if(this.toString().equals(pr.toString())) 
            return true;
        return false ;
    }
}
