(import edu.ncsu.csc.mas.commitment.*)
(import edu.ncsu.csc.mas.protocol.message.*)
(defclass com Commitment)
(defclass ccom ConditionalCommitment)
(defclass msg ProtocolMessage)

(defrule discharge-com "Fired when the condition of a commitment is met"
	(and (msg (m_szEvent ?x)(m_nTransID ?y)) ?fact-ref <-(com (m_szCond ?x)(m_nID ?y)(OBJECT ?com-ins)))	 =>
	(call ?com-ins Discharge)
	(retract ?fact-ref))
	

(defrule convert-ccom "Fired when the precondition of the conditional commitment is met"
	(and (msg (m_szEvent ?x) (m_nTransID ?y)) ?fact-ref <-(ccom (m_szPrecond ?x)
	(OBJECT ?ccom-ins) (m_szDebtor ?deb) (m_szCreditor ?cre)
	(m_szCond ?cond) (m_nID ?y)))
	=>
	(call ?ccom-ins Convert)
	(bind ?com-ins (new Commitment ?deb ?cre ?cond ?y))
	(definstance com ?com-ins static)
	(retract ?fact-ref))

(defrule discharge-ccom "Fires when the condition of the conditional commitment is met directly"
	(and (msg (m_szEvent ?x)(m_nTransID ?y)) ?fact-ref <-(ccom (m_szCond
	?x)(m_nID ?y)(OBJECT ?ccom-ins)))
	=>
	(call ?ccom-ins Discharge)
	(retract ?fact-ref))
	
